<?php 
error_reporting(0);
echo json_encode(Now::parse($url));

class Now
{
	public static function parse($url)
    {
    	//preg_match('#playAddr:\s"(.*)",#',$content,$urls);
    	$data = parse_url($url)['query'];
    	preg_match('#roomid=(.*)#',$data,$vids);
    	$roomid = $vids[1];
    	if($roomid){
    		return self::get_room_info_v2($roomid);
    	}
    }
	public static function get_room_info_v2($room_id)
	{
		$api = "https://now.qq.com/cgi-bin/now/web/room/get_room_info_v2?room_id=$room_id";
		$content = self::curl($api);
		$data = json_decode($content,true)["result"];
		$is_on_live = $data["is_on_live"];
		
		if($is_on_live){//是否直播
			return self::get_live_room_url($room_id);
		}else{
			if(!empty($data["vid"])){
				$vid = $data["vid"];
				return self::get_record_room_info($vid);
			}else{
				return GlobalBase::get_unknown_video();
			}
		}
	}
	public static function get_record_room_info($vid)
	{
		$api = "https://now.qq.com/cgi-bin/now/web/room/get_record_room_info?vid=$vid";
		$content = self::curl($api);
		$data = json_decode($content,true)["result"];
		$record_video_url = $data["record_video_url"];
		$video_cover_url = $data["video_cover_url"];

         		$videoinfo['code'] = 200;
				$videoinfo['success'] = 1;
				$videoinfo['url'] = $record_video_url;
				if(!GlobalBase::is_ipad()){
				$videoinfo['type'] = 'hls';
         		$videoinfo['player'] = 'dplayer';
				} else {
				$videoinfo['type'] = 'm3u8';
         		$videoinfo['player'] = 'h5';
				}
         		$videoinfo['msg'] = '数据正常';
				$videoinfo['poster'] = $video_cover_url;
				$videoinfo['title'] = 'NOW回放';

		return $videoinfo;
	}
	public static function get_live_room_url($room_id)
	{
		$api = "https://now.qq.com/cgi-bin/now/web/room/get_live_room_url?platform=4&room_id=$room_id";
		$content = self::curl($api);
		//print_r($content);exit;
		$data = json_decode($content,true)["result"];
		$videoURLList = $data["videoURLList"];
		foreach ($videoURLList as $key => $value) {
			if (GlobalBase::is_ipad()) {
				$videoinfo['code'] = 200;
				$videoinfo["urls"][0]= $value;
				break;
	     	}else{
	     		switch ($key) {
	     			case 0:$def = "自动";break;
	     			case 1:$def = "高清";break;
	     			case 2:$def = "标清";break;
	     			case 3:$def = "流畅";break;
	     		}
	     		if ($key == 0) {
	     			$video[0] = $value;
	     		}
	     		if ($key == 1) {
	     			$video[4] = $value;
	     		}
	     		if ($key == 2) {
	     			$video[3] = $value;
	     		}
	     		if ($key == 3) {
	     			$video[2] = $value;
	     		}
	     		
     			
				//$videoinfo["video"] = $video;


	     	}
		}
		$videoinfo['code'] = 200;
        $videoinfo['player'] = 'dplayer';
        $videoinfo['jsdir'] = GlobalBase::JsDir();
        $videoinfo['data']['urls'][0] = $video[0];
        $videoinfo['data']['playtype'] = 'hls';
        $videoinfo['data']['live'] = true;
        $videoinfo['data']['poster'] = GlobalBase::JsDir().'/img/loading2.gif';
        $videoinfo['data']['title'] = 'NOW直播';
		return $videoinfo;
	}
	public static function curl($url)
    {
        $params["ua"] = "Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36";
        return GlobalBase::curl($url,$params);
    }
}
 ?>